summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Isaac Yu2020-06-03 10:23:59 +0200
committer Willy Sudiarto Raharjo2020-06-03 10:23:59 +0200
commitec87fca0e0887ec973639abd4121983910b246b9 (patch)
tree17a93ba07bcff7ee0ed3f1020925729b4cb71a6c
parentc2ea3bcbd617c2a3a13b27b2f51d8fd77f0c008d (diff)
downloadslackbuilds-ec87fca0e0887ec973639abd4121983910b246b9.tar.gz
desktop/vertex-maia-icon-theme: Added (Manjaro icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/vertex-maia-icon-theme/README3
-rw-r--r--desktop/vertex-maia-icon-theme/doinst.sh13
-rw-r--r--desktop/vertex-maia-icon-theme/slack-desc19
-rw-r--r--desktop/vertex-maia-icon-theme/vertex-maia-icon-theme.SlackBuild65
-rw-r--r--desktop/vertex-maia-icon-theme/vertex-maia-icon-theme.info10
5 files changed, 110 insertions, 0 deletions
diff --git a/desktop/vertex-maia-icon-theme/README b/desktop/vertex-maia-icon-theme/README
new file mode 100644
index 0000000000..c7e86eaf36
--- /dev/null
+++ b/desktop/vertex-maia-icon-theme/README
@@ -0,0 +1,3 @@
+Vertex Maia icon theme is a previous default Manjaro icon theme.
+It complements the Vertex Maia GTK theme, itself a fork of the
+Vertex GTK theme.
diff --git a/desktop/vertex-maia-icon-theme/doinst.sh b/desktop/vertex-maia-icon-theme/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/desktop/vertex-maia-icon-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/vertex-maia-icon-theme/slack-desc b/desktop/vertex-maia-icon-theme/slack-desc
new file mode 100644
index 0000000000..38baf81984
--- /dev/null
+++ b/desktop/vertex-maia-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vertex-maia-icon-theme: vertex-maia-icon-theme (Manjaro icon theme)
+vertex-maia-icon-theme:
+vertex-maia-icon-theme: Vertex Maia icon theme is a previous default Manjaro icon theme.
+vertex-maia-icon-theme: It complements the Vertex Maia GTK theme.
+vertex-maia-icon-theme:
+vertex-maia-icon-theme:
+vertex-maia-icon-theme:
+vertex-maia-icon-theme:
+vertex-maia-icon-theme:
+vertex-maia-icon-theme:
+vertex-maia-icon-theme:
diff --git a/desktop/vertex-maia-icon-theme/vertex-maia-icon-theme.SlackBuild b/desktop/vertex-maia-icon-theme/vertex-maia-icon-theme.SlackBuild
new file mode 100644
index 0000000000..97b8a8bf64
--- /dev/null
+++ b/desktop/vertex-maia-icon-theme/vertex-maia-icon-theme.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+#
+# Slackware build script for vertex-maia-icon-theme
+#
+# Copyright 2020 Isaac Yu <isaacyu1@isaacyu1.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="vertex-maia-icon-theme"
+VERSION=${VERSION:-20180118}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="vertex-maia-icon-themes"
+COMMIT=${COMMIT:-31e46d7297a3bc729fbe4f40e75692fe764aed27}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$COMMIT
+tar xvf $CWD/$SRCNAM-$COMMIT.tar.gz
+cd $SRCNAM-$COMMIT
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/icons
+cp -r Vertex-Maia $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp CREDIT LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+find . -type l \
+ -printf '( cd %h ; rm -rf %f )\n( cd %h ; ln -sf %l %f )\n' -delete | \
+ sed 's,cd \./,cd ,' >> $PKG/install/doinst.sh
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/vertex-maia-icon-theme/vertex-maia-icon-theme.info b/desktop/vertex-maia-icon-theme/vertex-maia-icon-theme.info
new file mode 100644
index 0000000000..33c869e5bf
--- /dev/null
+++ b/desktop/vertex-maia-icon-theme/vertex-maia-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="vertex-maia-icon-theme"
+VERSION="20180118"
+HOMEPAGE="https://github.com/manjaro/vertex-maia-icon-themes"
+DOWNLOAD="https://github.com/manjaro/vertex-maia-icon-themes/archive/31e46d7/vertex-maia-icon-themes-31e46d7297a3bc729fbe4f40e75692fe764aed27.tar.gz"
+MD5SUM="ec1c982bf82e4fe319c334ef82765356"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu1@isaacyu1.com"